clear variables;close all;clc
rng('default')
V=1:2*10^5;
X=zeros(size(V));
X2=zeros(size(V));
for i=1:50
    X=X+rand(1,1).*sin(randn(1,1)/2000.*V);
end
for i=1:50
    X2=X2+rand(1,1).*sin(randn(1,1)/2000.*V);
end
Xd=[NaN diff(X)];IT=find(diff(Xd>0)==1);IT=IT(rem(IT,2)==0);

X=X+10;X=4*X;X=X+10;
X2=X2-min(X2);X2=60*X2./max(X2);X2=X2+30;
figure;hold on
plot(V(1:25*6000)/6000,X(1:25*6000),'k','Linewidth',2)
plot([V(7*6000)/6000 V(14*6000)/6000 V(21*6000)/6000],[X(7*6000) X(14*6000) X(21*6000)],'bo','Markerfacecolor','b','markersize',12)
plot([0 100],mean([X(7*6000) X(14*6000) X(21*6000)])*[1 1],'b--','Linewidth',2)
plot([0 100],mean(X(1:25*6000))*[1 1],'k--','Linewidth',2)
plot([0 100],[50 50],'--','color',[255 165 0]/255,'Linewidth',2)
legend('True SA score','SAGAT measurement','Average of 3 SAGAT measurements','Average of 25 minutes','Expected value','location','northeast')
xlabel('Time (min)','FontSize',32,'FontName','tahoma')
ylabel('SA score (%)','FontSize',32,'FontName','tahoma')
h = findobj('FontName','Helvetica');
set(h,'FontSize',32,'FontName','tahoma')
set(gca,'xtick',[0 7 14 21 25])
set(gca,'Xlim',[0 25])
set(gca,'Ylim',[0 100])
fig=gcf;set(findall(fig,'-property','FontName'),'FontName','Arial','Fontsize',24)
set(gcf,'PaperPositionMode','manual','paperunits','inches');
set(gcf,'PaperPosition',[0 0 15 10]);
set(gca,'LooseInset',[0.01 0.01 0.01 0.01]);
